Create bulk single schedules

Create multiple single schedules in a single request. This request triggers an asynchronous process to create the schedules. Once processing is complete, the Bulk single schedules created event is sent with the result of the operation.

This endpoint accepts a defaults object that can be used to set common values for all schedules in the request. Individual schedules can override any default value by specifying the field in their own definition.

In some cases, due to errors and retries, execution of the scheduled transaction might occur on the following day instead of the originally scheduled date. To address this, the allow_execution_after_day_change flag in schedule_details enables you to pre-authorize execution of the scheduled transaction on the next day. This flag must be set to true for schedules that are set to be executed at the end of the day (after 11:30pm UTC). If the schedule is not executed on the expected day for any reason, and this field isn't set to true, the schedule is not executed and is marked as EXECUTED_WITH_ERROR_NEXT_DAY_NOT_ALLOWED.

This endpoint generates the Scheduled payment created or modified event with the status field set to CREATED.

Each execution of the schedule also generates the Scheduled payment executed event.

Refer to the Payment scheduler guide for more information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request processing body

Request to create multiple single schedules in bulk

defaults
object

Default values applied to all schedules in the request. Individual schedules can override these values.

schedules
array of objects
required
length between 1 and 100

List of schedules to create. Each schedule can override any default value.

schedules*

Individual schedule in the bulk request. Only schedule_id is required; other fields use defaults or override them.

string
required
length between 36 and 50

Schedule ID (idempotency field for this operation)

int64

Account ID

string

Processing code that identifies the credit or debit operation

string

Three-letter currency code of the operation in ISO 4217.

string
length ≤ 100

Optional text that describes the operation

float

Credit or debit amount

schedule_details
object

Schedule details that override the defaults for this specific schedule

restrictions
object

Restrictions applied to the schedule

metadata
object

This optional user-defined key-value object field can be used with external operations to provide additional context or supplementary custom information for the operation. The Pismo platform does not perform any validation or processing on this field.

Note: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that purpose. For more information, refer to Get started with Pismo APIs.

Responses
202

Request was accepted and schedules will be processed asynchronously.

400

Bad request

403

Operation forbidden

500

Internal server error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here!